Project

Profile

Help

ONV #489892

open

Zaakkoppeling: Foutmelding op het bericht Bv04

Added by Michiel Verhoef over 4 years ago. Updated over 4 years ago.

Status:
Nieuw
Priority:
Normal
Category:
-
Sprint/Milestone:
Start date:
01/08/2018
Due date:
% Done:

0%

Estimated time:
Behandeld in overleg:

Description

https://discussie.kinggemeenten.nl/discussie/gemma/koppelvlak-zs-dms/zaakkoppeling-foutmelding-op-het-bericht-bv04#comment-5654

John Rooijakkers schrijft:
Bij een implementatie van het ZSDMS koppelvlak lopen wij tegen de volgende situatie aan:
1. Een applicatie stuurt een bericht om een nieuwe zaak toe te voegen via een intermediare node (ESB)
2. De intermediaire node reageert hierop met een Bv04 response.
3. De applicatie geeft een fout op dit bericht omdat een Bv03 response wordt verwacht.

De leverancier van de betreffende applicatie verwijst hierbij naar de beschrijving van het ZSDMS koppelvlak.

Het lijkt erop dat het ZS-DMS koppelvlak in tegenstelling tot de StUF 3.01 standaard (bewust of onbewust) voorbij gaat aan het bestaan van intermediaire nodes (ESB’s) die een Bv04 response mogen versturen.

Is hier bewust en terecht afgeweken van de StUF 3.01 standaard of is dit een omissie in het ZS-DMS koppelvlak en moeten de regels in de StUF 3.01 standaard prevaleren? Het afwijken van de StUF standaard heeft als consequentie dat intermediaire nodes niet alleen de StUF 3.01 standaard moeten ondersteunen maar ook per koppelvlak (mogelijk) afwijkende regels moeten toepassen. Dit kan m.i. niet de bedoeling zijn.

Ik hoor graag het standpunt van KING in deze discussie.

Michiel Verhoef schrijft:
In de specificaties staat letterlijk in paragraaf 2.1 op pagina 10:

"Verbinden wordt niet specifiek ingevuld binnen de specificatie, maar wel gefaciliteerd door het werken met standaardkoppelvlakken. Tussen de serviceconsumers en serviceproviders kan desgewenst een verbindingscomponent (zoals broker, servicebus) geplaatst worden"

Gebruik van een ESB moet dus gewoon kunnen. Zoals het er nu naar uitziet is het ontbreken van de correcte berichten in dit geval een fout in de specificatie die met de volgende patch (begin 2018) opgelost moet worden.

Also available in: Atom PDF